//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "vector1.h"
#include "vector.hpp"
//---------------------------------------------------------------------------
#pragma link "Grids"
#pragma link "Vector"
#pragma resource "*.dfm"

const int VecLeng = 20;
TVector *Vec1 = new TVector(VecLeng);
TForm1 *Form1;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner): TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ButDVClick(TObject *Sender)
{
Vec1->Free();
Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormActivate(TObject *Sender)
{
int  i;
char buf1[20];

Randomize;
SG1->RowCount = VecLeng;
SG1->ColCount = 1;
for (i=1; i<=VecLeng; i++)
  Vec1->Elem[i] = i;
for (i=1; i<=VecLeng; i++)
  {
  sprintf (buf1, "%5.2f",Vec1->Elem[i]);
  SG1->Cells[0][i-1] = buf1;
  }
SG1SetEditText (Sender, 0,0,"1.00");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SG1SetEditText(TObject *Sender, long ACol, long ARow,
	const AnsiString Value)
{
double ddummy1;
double ddummy2;
AnsiString AuxStr;
char buf1[20];
char buf2[20];

AuxStr = SG1->Cells[ACol][ARow];
if (AuxStr != "")
  {
  ddummy1 = AuxStr.ToDouble();
  Vec1->Elem[ARow+1] = ddummy1;
  }
sprintf (buf1, "Leng = %1.3f", Vec1->Leng);
LblLeng->Caption = buf1;

Vec1->MeanVar (1, VecLeng, ddummy1, ddummy2);
sprintf (buf1, "Mean = %1.3f", ddummy1);
sprintf (buf2, "Var = %1.3f", ddummy2);
LblMean->Caption = buf1;
LblVar->Caption = buf2;

Vec1->MinMax (1, VecLeng, ddummy1, ddummy2);
sprintf (buf1, "Min = %1.3f", ddummy1);
sprintf (buf2, "Max = %1.3f", ddummy2);
LblMin->Caption = buf1;
LblMax->Caption = buf2;
}
//---------------------------------------------------------------------------
