unit Vector1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, StdCtrls, vector;

type
  TForm1 = class(TForm)
    SG1: TStringGrid;
    ButDV: TButton;
    LblLeng: TLabel;
    Label1: TLabel;
    LblMin: TLabel;
    LblMax: TLabel;
    LblMean: TLabel;
    LblVar: TLabel;
    Label2: TLabel;
    procedure FormActivate(Sender: TObject);
    procedure ButDVClick(Sender: TObject);
    procedure SG1SetEditText(Sender: TObject; ACol, ARow: Longint;
      const Value: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1   : TForm1;



implementation

{$R *.DFM}

const
  VecLeng = 20;

var
  Vec1 : TVector;


(*************************************************************)
function fs (v: double; m1, m2: integer): string;
(*************************************************************)

var
  AuxStr : string;

begin
str (v:m1:m2,AuxStr);
fs := AuxStr;
end;

(*************************************************************)
procedure TForm1.FormActivate(Sender: TObject);
(*************************************************************)

var
  i      : integer;
  AuxStr : String;

begin
Randomize;
SG1.RowCount := VecLeng;
SG1.ColCount := 1;
Vec1 := TVector.Create (VecLeng);
for i:=1 to VecLeng do
  Vec1.Elem[i] := i;
for i:=1 to VecLeng do
  begin
  str (Vec1.Elem[i]:1:2,AuxStr);
  SG1.Cells[0,i-1] := AuxStr;
  end;
SG1SetEditText (Sender, 0,0,'1.00');
end;


(*************************************************************)
procedure TForm1.ButDVClick(Sender: TObject);
(*************************************************************)

begin
Vec1.Free;
close;
end;


(*************************************************************)
procedure TForm1.SG1SetEditText(Sender: TObject; ACol, ARow: Longint;
  const Value: String);
(*************************************************************)

var
  status  : integer;
  ddummy1 : double;
  ddummy2 : double;
  AuxStr  : string;

begin
AuxStr := SG1.Cells[ACol,ARow];
val (AuxStr, ddummy1, status);
Vec1.Elem[ARow+1] := ddummy1;
LblLeng.Caption := 'Leng = '+fs (Vec1.Leng,1,3);
Vec1.MeanVar (1, VecLeng, ddummy1, ddummy2);
LblMean.Caption := 'Mean = '+fs (ddummy1, 1,3);
LblVar.Caption := 'Var = '+fs (ddummy2, 1,3);
Vec1.MinMax (1, VecLeng, ddummy1, ddummy2);
LblMin.Caption := 'Min = '+fs (ddummy1, 1,3);
LblMax.Caption := 'Max = '+fs (ddummy2, 1,3);
end;


end.
